Bug 172904 - "file -s" fails to recognize ext2/ext3
"file -s" fails to recognize ext2/ext3
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-11-10 19:58 EST by Enrique Perez-Terron
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.16-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-11 04:10:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrique Perez-Terron 2005-11-10 19:58:02 EST
Description of problem:
"file -s" fails to recognize ext2/ext3 file systems

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. format partition /dev/hdb7 with ext3
2. file -s /dev/hdb7
Actual results:

Expected results:
/dev/hdb7: Linux rev 1.0 ext3 filesystem data (needs journal recovery) (large 

Additional info:

The reason is an entry for cracklib in line 2679 of /usr/share/file/magic
which tests for zero at offset zero and says nothing (has empty message field).
The ext2/3 file system magic is in line 4327.
Comment 1 Enrique Perez-Terron 2005-11-10 19:59:51 EST
I suggest the cracklib entry is modified from
 0       long    0
 >4      belong  0x70775631      Cracklib password index, big endian ("64-bit")
 >12     belong  >0              (%i words)
 4      belong  0x70775631
 >0     long    0               Cracklib password index, big endian ("64-bit")
 >12    belong  >0              (%i words)

Actually, the "file" utility should ignore groups that output nothing.
Comment 2 Radek Vokal 2005-11-11 04:10:38 EST
This seems to be fixed in rawhide package, tested with file-4.16-3

Note You need to log in before you can comment on or make changes to this bug.